## com.google.gwt.benchmarks.client
Class RangeIterator<T>

    java.lang.Object
      com.google.gwt.benchmarks.client.RangeIterator<T>

Type Parameters:
  `T` - the type that the Range contains

All Implemented Interfaces:
  java.util.Iterator<T>

    public abstract class RangeIterator<T>

extends java.lang.Object
implements java.util.Iterator<T>

A base class useful for implementing Iterators for Ranges.

Constructor Summary
`RangeIterator()`

Method Summary
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Iterator
`hasNext, next`

Constructor Detail

### RangeIterator

    public RangeIterator()

Method Detail

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<T>`